> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bungee.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token list



## OpenAPI

````yaml https://public-backend.bungee.exchange/swagger-json get /api/v1/tokens/list
openapi: 3.0.0
info:
  title: Bungee API Explorer
  description: API Endpoints for Bungee Exchange
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.bungee.exchange
    description: Public Sandbox
  - url: https://dedicated-backend.bungee.exchange
    description: Dedicated Backend
  - url: https://backend.bungee.exchange
    description: Frontend/Direct
security: []
tags: []
paths:
  /api/v1/tokens/list:
    get:
      tags:
        - Token
      summary: Get token list
      operationId: TokenController_tokenList_v1
      parameters:
        - name: userAddress
          required: false
          in: query
          description: User wallet address
          schema:
            type: string
        - name: chainIds
          required: false
          in: query
          description: Comma separate chainIds
          schema:
            type: string
        - name: list
          required: false
          in: query
          description: 'Set the list type you want: full or trending'
          schema:
            default: trending
            type: string
      responses:
        '200':
          description: >-
            Returns the list of tokens by chain. This is not a complete list of
            supported tokens.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponseDto'
                  - properties:
                      result:
                        type: object
                        additionalProperties:
                          type: array
                          items:
                            $ref: '#/components/schemas/TokenExtDto'
components:
  schemas:
    SuccessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: flag indicating whether the req was successful
          default: true
        statusCode:
          type: number
          description: Http status code
          default: 200
        message:
          type: string
          description: error message if request failed
          nullable: true
      required:
        - success
        - statusCode
    TokenExtDto:
      type: object
      properties:
        chainId:
          type: number
          description: chainId of the network
        address:
          type: string
          description: ENS address of the token
        name:
          type: string
          description: name of the token
        symbol:
          type: string
          description: symbol of the token
        decimals:
          type: number
          description: token decimals
        logoURI:
          type: string
          description: image url of the token
        isShortListed:
          type: boolean
          description: boolean flag indicating whether token is verified or not
        trendingRank:
          type: number
          description: Token trending rank
        marketCap:
          type: number
          description: Token market cap
        totalVolume:
          type: number
          description: Token total trading volume
        balance:
          type: string
          description: >-
            Amount in wei, if the user address is provided. If the user address
            is not provided, default value is 0
        balanceInUsd:
          type: number
          description: >-
            Equivalent value in USD, if the user address is provided. If the
            user address is not provided, default value is 0
        tags:
          description: metadata tags
          type: array
          items:
            type: string
        isVerified:
          type: boolean
          description: Whether the token is verified or not
      required:
        - chainId
        - address
        - name
        - symbol
        - decimals
        - isShortListed
        - balance
        - balanceInUsd
        - isVerified

````